Modify

#1222 closed defect (invalid)

telegram-purple, after reconnection channels are recreated and not reused

Reported by: anssi@… Owned by:
Priority: normal Milestone:
Component: Purple Version: 3.4
Keywords: Cc:
IRC client+version: Client-independent Operating System: Linux
OS version/distro:

Description

I use telegram-purple through bitlbee so I have all possible chats in single irssi window. One particularly annoying feature is that when telegram reconnects it loses existing chat windows and then I have to do magic to get them back where they were.

  1. use normally, #realchannel is in irc-channel #realchannel
  2. telegram reconnects, #realchannel shows netsplit
  3. after a while bitlbee opens #chat_000 irc-channel for that #realchannel. Old window stays dead, new channel works.
  4. if I close #realchannel in irc whole bitlbee segfaults
  5. after bitlbee restart/reconnect+reauth telegram chat opens in original #realchannel

With other bitlbee chatnets (facebook, sipe, gtalk) window namings seem to work better although I don't do groupchats that much on others.

Any ideas whether this is telegram-purple related thing (some chat/window id differs from original) or bitlbee issue on window handling?

&bitlbee
06:51 <@root> telegram - Error: Lost connection to server...
06:51 <@root> telegram - Signing off..
06:51 <@root> telegram - Reconnecting in 5 seconds..
06:53 <@root> telegram - Login error: Connection timeout
06:53 <@root> telegram - Logging in: Signing off..
06:53 <@root> telegram - Logging in: Reconnecting in 15 seconds..
06:53 <@root> telegram - Logging in: Logged in

#realchannel
06:51 *** Netsplit kelvin.aketzu.net <-> telegram.kelvin.aketzu.net quits: User1, User2...  
          (+45 more, use /NETSPLIT to show all of them)

#chat_000
06:59:12 *** ServerMode/#chat_000 "+t" by kelvin.aketzu.net
06:59:12 *** Irssi: #chat_000: Total of 2 nicks (2 ops, 0 halfops, 0 voices, 0 normal)

Attachments (0)

Change History (8)

comment:2 Changed at 2015-11-26T18:13:18Z by dx

I can't reproduce this. Using telegram-purple 1.2.2beta-1

When the account is disconnected, it leaves the channel saying "[Chatroom closed by server]", which seems like it would make the rest impossible.

Also please try again with the latest git master, there are possibly relevant fixes.

comment:3 Changed at 2016-07-07T21:02:13Z by dx

Ping?

comment:4 Changed at 2016-07-07T21:10:31Z by Anssi Kolehmainen <anssi@…>

Somewhat forgotten... Issue still exists. Nowadays I get channels #foo, #foo_, #foo__, #foo___ etc.

Bitlbee 3.4.1-1 (Debian). Telegram-purple dev-1.3.0 git head.

How does bitlbee allocate channels? (i.e. in which function do I start printf-debugging)

comment:6 Changed at 2016-07-26T01:12:25Z by dx

Poke?

comment:7 Changed at 2016-07-26T01:12:46Z by dx

Component: BitlBeePurple

comment:8 Changed at 2016-11-19T08:23:04Z by dx

Resolution: invalid
Status: newclosed

Closing due to inactivity and the fact that it works for everyone else

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.